cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Leroy van Engelen (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CB-9248) In config.xml, <plugin> inside <platform> is not supported
Date Thu, 25 Jun 2015 12:46:04 GMT
Leroy van Engelen created CB-9248:
-------------------------------------

             Summary: In config.xml,  <plugin> inside <platform> is not supported
                 Key: CB-9248
                 URL: https://issues.apache.org/jira/browse/CB-9248
             Project: Apache Cordova
          Issue Type: Bug
          Components: CLI, CordovaLib
    Affects Versions: 5.1.2
            Reporter: Leroy van Engelen


In config.xml it is possible to define plugins that should be installed using the <plugin>
tag. Some plugins are not available or are buggy on certain platforms. Therefore we need to
include them depending on the platform. I would expect this to be possible by wrapping them
in <platform> tags, but these are ignored.

The problem is that in `cordova-lib/src/configparser/ConfigParser.js` the methods `getPluginIdList`
and `getPlugin` only top level <plugin> definitions are taken into account.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message